Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 10.3.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
PagerPluginBaseTest::testGetItemsPerPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getItemsPerPage() method.
PagerPluginBaseTest::testGetOffset function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getOffset() method.
PagerPluginBaseTest::testGetPagerId function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getPagerId() method.
PagerPluginBaseTest::testGetTotalItems function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getTotalItems() method.
PagerPluginBaseTest::testHasMoreRecords function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the hasMoreRecords() method.
PagerPluginBaseTest::testSetCurrentPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the setCurrentPage() method.
PagerPluginBaseTest::testSetItemsPerPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the setItemsPerPage() method.
PagerPluginBaseTest::testSetOffset function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the setOffset() method.
PagerPluginBaseTest::testUseCountQuery function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the useCountQuery() method.
PagerPluginBaseTest::testUsePager function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the usePager() method.
PagerPluginBaseTest::testUsesExposed function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the usesExposed() method.
PagerTest class core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests pager functionality.
PagerTest class core/modules/views/tests/src/Functional/Wizard/PagerTest.php Tests the ability of the views wizard to create views without a pager.
PagerTest class core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the pluggable pager system.
PagerTest.php file core/modules/views/tests/src/Functional/Wizard/PagerTest.php
PagerTest.php file core/modules/views/tests/src/Functional/Plugin/PagerTest.php
PagerTest.php file core/modules/system/tests/src/Functional/Pager/PagerTest.php
PagerTest::$adminUser property core/modules/system/tests/src/Functional/Pager/PagerTest.php A user with permission to access site reports.
PagerTest::$defaultTheme property core/modules/system/tests/src/Functional/Pager/PagerTest.php The theme to install as the default for testing.
PagerTest::$defaultTheme property core/modules/views/tests/src/Functional/Wizard/PagerTest.php The theme to install as the default for testing.
PagerTest::$defaultTheme property core/modules/views/tests/src/Functional/Plugin/PagerTest.php The theme to install as the default for testing.
PagerTest::$localeStorage property core/modules/views/tests/src/Functional/Plugin/PagerTest.php String translation storage object.
PagerTest::$modules property core/modules/views/tests/src/Functional/Plugin/PagerTest.php Modules to install.
PagerTest::$modules property core/modules/system/tests/src/Functional/Pager/PagerTest.php Modules to install.
PagerTest::$testViews property core/modules/views/tests/src/Functional/Plugin/PagerTest.php Views used by this test.
PagerTest::assertClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts that an element has a given class.
PagerTest::assertNoClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts that an element does not have a given class.
PagerTest::assertPagerItems function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts pager items and links.
PagerTest::createTranslation function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Creates single translation for source string.
PagerTest::createViewAtPath function core/modules/views/tests/src/Functional/Wizard/PagerTest.php Create a simple View of nodes at a given path.
PagerTest::setUp function core/modules/system/tests/src/Functional/Pager/PagerTest.php
PagerTest::testActiveClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests markup and CSS classes of pager links.
PagerTest::testLimit function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the some pager plugin.
PagerTest::testMultiplePagers function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of multiple pagers.
PagerTest::testNoLimit function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the none-pager-query.
PagerTest::testNormalPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the normal pager.
PagerTest::testPager function core/modules/views/tests/src/Functional/Wizard/PagerTest.php Tests the pager option.
PagerTest::testPagerApi function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the api functions on the view object.
PagerTest::testPagerConfigTranslation function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using config_translation.
PagerTest::testPagerEllipsis function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of the ellipsis.
PagerTest::testPagerHeadingLevel function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests changing the heading level.
PagerTest::testPagerLocale function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using locale.
PagerTest::testPagerQueryParametersAndCacheContext function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests pager query parameters and cache context.
PagerTest::testRenderNullPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests rendering with NULL pager.
PagerTest::testStorePagerSettings function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Pagers was sometimes not stored.
PagerTest::testViewTotalRowsWithoutPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the total row count in a view without a pager.
PagerTestController class core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Controller routine for testing the pager.
PagerTestController.php file core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php
PagerTestController::$pagerParams property core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php The pager request service.
PagerTestController::buildTestTable function core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php Builds a render array for a multi-page test table.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.